<?
if (!isset($user) && !isset($_GET['id_user'])){header("Location: /foto/?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id_user']))$ank['id']=intval($_GET['id_user']);
$ank=get_user($ank['id']);
if (!$ank){header("Location: /foto/?".SID);exit;}
$gallery['id']=intval($_GET['id_gallery']);

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /foto/$ank[id]/?".SID);exit;}
$gallery=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"));



$set['title']=$ank['nick'].' - '.$gallery['name'].' - Фотоальбом'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();

include 'inc/gallery_show_act.php';
err();
aut();



if ($ank['ank_enterf'] == '3' && !isset($user))
{
echo' <div class="gend">Пользователь ограничил доступ всем к фотоальбому!</div>';
include_once '../sys/inc/tfoot.php';
exit();
}

if ($ank['ank_enterf'] == '2' && !isset($user))
{
echo' <div class="gend">Фотоальбом доступен только для друзей пользователя!</div>';
include_once '../sys/inc/tfoot.php';
exit();
}


if ($ank['ank_enterf'] == '3' && $ank['id'] != $user['id'])
{
echo' <div class="gend">Пользователь ограничил доступ всем к фотоальбому!</div>';

include_once '../sys/inc/tfoot.php';
exit();
}



if ($ank['ank_enterf'] == '2' && $ank['id'] != $user['id'] && mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' && `frend` = '$user[id]'"),0) == '0')
{
echo' <div class="gend">Фотоальбом доступен только для друзей пользователя!</div>';

include_once '../sys/inc/tfoot.php';
exit();
}







$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет фотографий\n";
echo "  </td>\n";
echo "   </tr>\n";

}


$q=mysql_query("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{

if ($set['set_show_icon']==2){
echo "  <td class='icon48' rowspan='2'>\n";
echo "<img src='/foto/foto48/$post[id].$post[ras]' alt='Фото_$post[id]' />";
}
elseif ($set['set_show_icon']==1)
{

}

echo "<a href='/foto/$ank[id]/$gallery[id]/$post[id]/'> <img src='/foto/foto128/$post[id].$post[ras]' alt='Фото_$post[id]' width='45' height='45'  /></a>";







}
echo "</div>\n";
echo "</div></table>\n";




if ($k_page>1)str('?',$k_page,$page); // Вывод страниц


include 'inc/gallery_show_form.php';


echo "<div class=\"foot\">\n";
echo "&laquo;<a href='/foto/$ank[id]/'>К фотоальбомам</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
?>